<?php
/**
 * 
 *
 * @see smooth_blog_pro_custom_header_setup().
 */
function smooth_blog_pro_header_text_style() {
	// If we get this far, we have custom styles. Let's do this.
	$header_text_display = get_theme_mod( 'smooth_blog_pro_header_text_display' );

	$h1_h6_font_family = explode( '-', get_theme_mod( 'smooth_blog_pro_h1_h6_font_option'  ) );
    $h1_h6_font_family = implode( ' ', array_map( 'ucfirst', $h1_h6_font_family ) );

    $body_font_family = explode( '-', get_theme_mod( 'smooth_blog_pro_body_font_option'  ) );
    $body_font_family = implode( ' ', array_map( 'ucfirst', $body_font_family ) );

    $color = get_theme_mod( 'smooth_blog_pro_custom_color_scheme' );

	?>
	<style type="text/css">



	.site-title a{
		color: #<?php echo esc_attr( get_header_textcolor() ); ?>;
		<?php if ( !empty( get_theme_mod('smooth_blog_pro_header_title_font_size') ) ): ?>
		font-size: <?php echo absint(get_theme_mod('smooth_blog_pro_header_title_font_size')) ?>px;
		<?php endif ?>
	}

	.slick-slider {
	    margin-bottom: 0px;
	}

	#site-navigation .site-title a {
	    color: #<?php echo esc_attr( get_header_textcolor() ); ?>;
	    text-transform: uppercase;
	    font-size: 32px;
	}

	.dark-version #site-navigation .site-title a {
	    color: #fff;
	}

	.site-description {
		color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_tagline', '#2e2e2e' ) ); ?>;
	}

	<?php if ( !empty( $color ) ): ?>
		/*--------------------------------------------------------------
		# Background Color
		--------------------------------------------------------------*/
		.backtotop,
		.pagination .page-numbers.current,
		.pagination .page-numbers:hover,
		.pagination .page-numbers:focus,
		.widget_search form.search-form .search-submit:hover,
		.widget_search form.search-form .search-submit:focus,
		input[type="submit"],
		#secondary .jetpack_subscription_widget input[type="submit"]:hover,
		#secondary .jetpack_subscription_widget input[type="submit"]:focus,
		#secondary .widget.widget_posts_filter ul.tabs li.active a,
		.widget_tag_cloud .tagcloud a,
		#secondary .widget_tag_cloud .tagcloud a,
		.reply a,
		.btn,
		.jetpack_subscription_widget button[type="submit"],
		.second-design #top-navigation,
		.second-design .featured-content-wrapper .btn,
		#cta .read-more .btn {
		    background-color: <?php echo esc_attr( $color ) ?>;
		}

		/*--------------------------------------------------------------
		# Color
		--------------------------------------------------------------*/
		a,
		.main-navigation ul.nav-menu li.current-menu-item > a,
		.main-navigation ul.nav-menu li:hover > a,
		.main-navigation a:hover,
		.main-navigation ul.nav-menu > li > a:hover,
		.site-title a:hover, 
		.post-navigation a:hover, 
		.posts-navigation a:hover,
		.post-navigation a:focus, 
		.posts-navigation a:focus,
		#secondary a:hover,
		#secondary a:focus,
		#secondary-sidebar a:hover,
		#secondary-sidebar a:focus,
		#secondary .posted-on a,
		#secondary-sidebar .post-categories a,
		.posted-on a:hover,
		.posted-on a:focus,
		.comment-meta .url:hover,
		.comment-meta .url:focus,
		.comment-metadata a:hover,
		.comment-metadata a:focus,
		.entry-title a:hover,
		.entry-title a:focus,
		.byline a:hover,
		.byline a:focus,
		span.tags-links a:hover,
		span.tags-links a:focus,
		.dark-version .main-navigation ul.nav-menu li.current-menu-item > a, 
		.dark-version .main-navigation ul.nav-menu li:hover > a,
		#colophon ul li a:hover,
		#colophon ul li a:focus,
		.service-item-wrapper .btn,
		.service-icon .fa,
		.post-categories a,
		.site-info .site-info-wrapper a,
		.second-design .btn,
		.second-design .section-subtitle,
		.second-design .post-categories a {
		    color: <?php echo esc_attr( $color ) ?>;
		}

		/*--------------------------------------------------------------
		# Fill
		--------------------------------------------------------------*/
		.loader-container svg,
		.main-navigation ul.nav-menu li:hover > svg,
		.main-navigation li.menu-item-has-children:hover > a > svg,
		.main-navigation li.menu-item-has-children > a:hover > svg,
		.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
		.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
		.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
		.main-navigation li.search-menu a:hover svg,
		.main-navigation li.search-menu a:focus svg,
		.main-navigation li.search-menu a.search-active svg,
		.widget svg,
		.navigation.posts-navigation a:hover svg, 
		.navigation.post-navigation a:hover svg,
		.navigation.posts-navigation a:focus svg, 
		.navigation.post-navigation a:focus svg {
		    fill: <?php echo esc_attr( $color ) ?>;
		}

		/*--------------------------------------------------------------
		# Border Color
		--------------------------------------------------------------*/
		.pagination .page-numbers.current,
		.pagination .page-numbers:hover,
		.pagination .page-numbers:focus,
		.btn,
		.service-item-wrapper .btn,
		.dark-version .btn:hover,
		.dark-version .btn:focus,
		.second-design .featured-content-wrapper .btn,
		.second-design .btn,
		#cta .read-more .btn {
		    border-color: <?php echo esc_attr( $color ) ?>;
		}

		/*--------------------------------------------------------------
		# Responsive
		--------------------------------------------------------------*/
		@media screen and (min-width: 1024px) {
		    .dark-version .main-navigation ul.nav-menu > li:hover > a > svg, 
		    .dark-version .main-navigation ul.nav-menu > li.current-menu-item > a > svg,
		    .main-navigation ul.nav-menu > li:hover > a > svg,
		    .main-navigation ul.nav-menu > li.current-menu-item > a > svg {
		        fill:<?php echo esc_attr( $color ) ?>;
		    }
		    #masthead .main-navigation ul.nav-menu li.current-menu-item > a,
		    #masthead .main-navigation ul.nav-menu > li > a:hover,
		    .main-navigation ul.nav-menu ul li.current-menu-item > a,
		    .main-navigation ul.nav-menu ul li:hover > a,
		    .main-navigation ul.nav-menu ul li:focus > a {
		        color: <?php echo esc_attr( $color ) ?>;
		    }
		    #top-navigation {
		        background-color: <?php echo esc_attr( $color ) ?>;
		    }
		}

		/*--------------------------------------------------------------
		# Preloader
		--------------------------------------------------------------*/
		@keyframes preloader {
		    0% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( $color ) ?>;}
		    25% {height:30px;transform:translateY(15px);background: <?php echo esc_attr( $color ) ?>;}
		    50% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( $color ) ?>;}
		    100% {height:5px;transform:translateY(0px);background: <?php echo esc_attr( $color ) ?>;}
		}
		

	<?php endif ?>
	
	<?php if ( !empty( $h1_h6_font_family ) ): ?>
		/*----------------------------------------
            Font Family
	    ------------------------------------------*/
	    h1,
	    h2,
	    h3,
	    h4,
	    h5,
	    h6,
	    .post-navigation a, 
	    .posts-navigation a,
	    .single-post-wrapper span.tags-links,
	    .single-post-wrapper span.cat-links,
	    .blog-posts-wrapper .cat-links a,
	    .blog-posts-wrapper .cat-links,
	    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
	        font-family: <?php echo esc_attr( $h1_h6_font_family ) ?>;
	    }
	<?php endif ?>
	
	<?php if ( !empty( $body_font_family ) ): ?>
		body,
	    .single-post-wrapper span.tags-links a,
	    .single-post-wrapper span.cat-links a,
	    .blog-posts-wrapper span.cat-links,
	    .blog-posts-wrapper span.cat-links a,
	    .blog-posts-wrapper span.cat-links,
	    .blog-posts-wrapper span.cat-links a {
	        font-family: <?php echo esc_attr( $body_font_family ) ?>;
	    }
	<?php endif ?>

	#featured-slider, #our-services, #about-us, #featured-posts, #subscribe, #masonary, #video, #inner-content-wrapper, #related-posts{
		position: relative;
		padding: 40px 0px;
	}

	#featured-slider{
		padding: 0px;
	}

	#inner-content-wrapper .section-header{
		margin-top: 40px;
	}

	#our-services article,#about-us article{
		position: relative;
	}

	/*slider*/

	.featured-content-wrapper .entry-content p {
	    color: #fff;
	}

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_title_color' ) ) ): ?>
		.featured-content-wrapper .entry-header span {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_title_color' ) ) ): ?>
		#featured-slider .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_title_hover_color' ) ) ): ?>
		#featured-slider .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_title_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_content_color' ) ) ): ?>
		#featured-slider .entry-content p{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_color' ) ) ): ?>
		#featured-slider .read-more a{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_hover_color' ) ) ): ?>
		#featured-slider .read-more a:hover{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_text_color' ) ) ): ?>
		#featured-slider .read-more a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_text_hover_color' ) ) ): ?>
		#featured-slider .read-more a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_text_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_border_color' ) ) ): ?>
		#featured-slider .read-more a{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_slider_section_btn_border_hover_color' ) ) ): ?>
		#featured-slider .read-more a:hover{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_slider_section_btn_border_hover_color' ) ) ; ?>;
		}
	<?php endif ?>




	/*service section*/
	.second-design .service-item-wrapper {
	    color: #6e6e6e;
	}
	.second-design .service-item-wrapper .entry-title a {
	    color: #444148;
	}

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_title_color' ) ) ): ?>
		#our-services .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_sub_title_color' ) ) ): ?>
		#our-services .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_post_title_color' ) ) ): ?>
		#our-services .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_hover_post_title_color' ) ) ): ?>
		#our-services .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_hover_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_post_content_color' ) ) ): ?>
		#our-services .entry-content p{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_btn_color' ) ) ): ?>
		#our-services .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_btn_text_color' ) ) ): ?>
		#our-services .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_btn_border_color' ) ) ): ?>
		#our-services .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_section_hover_btn_color' ) ) ): ?>
		#our-services .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_hover_btn_text_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_section_hover_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_service_background') == 'color' ): ?>
		#our-services{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_service_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_service_background') == 'image' ): ?>
		#our-services{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_service_background_image' ) ) ; ?>');
		}
	<?php endif ?>



	/*about section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_title_color' ) ) ): ?>
		#about-us .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_sub_title_color' ) ) ): ?>
		#about-us .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_post_content_color' ) ) ): ?>
		#about-us .entry-content{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_btn_color' ) ) ): ?>
		#about-us .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_btn_text_color' ) ) ): ?>
		#about-us .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_hover_btn_color' ) ) ): ?>
		#about-us .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_hover_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_btn_border_color' ) ) ): ?>
		#about-us .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_section_btn_border_hover_color' ) ) ): ?>
		#about-us .btn:hover{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_section_btn_border_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_about_background') == 'color' ): ?>
		#about-us{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_about_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_about_background') == 'image' ): ?>
		#about-us{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_about_background_image' ) ) ; ?>');
		}
	<?php endif ?>


	/*featured section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_section_sub_title_color' ) ) ): ?>
		#featured-posts .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_section_btn_color' ) ) ): ?>
		#featured-posts .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_section_btn_text_color' ) ) ): ?>
		#featured-posts .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_section_hover_btn_color' ) ) ): ?>
		#featured-posts .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_section_hover_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_featured_background') == 'color' ): ?>
		#featured-posts{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_featured_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_featured_background') == 'image' ): ?>
		#featured-posts{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_featured_background_image' ) ) ; ?>');
		}
	<?php endif ?>



	/*masonary section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_title_color' ) ) ): ?>
		#masonary .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_sub_title_color' ) ) ): ?>
		#masonary .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_title_color' ) ) ): ?>
		#masonary .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_post_title_color' ) ) ): ?>
		#masonary .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_content_color' ) ) ): ?>
		#masonary .entry-content p{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_category_color' ) ) ): ?>
		#masonary .post-categories a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_category_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_category_hover_color' ) ) ): ?>
		#masonary .post-categories a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_category_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_date_color' ) ) ): ?>
		#masonary .posted-on a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_date_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_post_date_hover_color' ) ) ): ?>
		#masonary .posted-on a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_post_date_hover_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_color' ) ) ): ?>
		#masonary .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_text_color' ) ) ): ?>
		#masonary .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_border_color' ) ) ): ?>
		#masonary .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_btn_color' ) ) ): ?>
		#masonary .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_btn_text_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_section_hover_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_masonary_background') == 'color' ): ?>
		#masonary{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_masonary_background') == 'image' ): ?>
		#masonary{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_masonary_background_image' ) ) ; ?>');
		}
	<?php endif ?>


	/*video section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_section_sub_title_color' ) ) ): ?>
		#video .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_section_post_title_color' ) ) ): ?>
		#video .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_section_hover_post_title_color' ) ) ): ?>
		#video .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_section_hover_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_section_post_date_color' ) ) ): ?>
		#video .posted-on a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_section_post_date_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_section_hover_post_date_color' ) ) ): ?>
		#video .posted-on a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_section_hover_post_date_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_video_background') == 'color' ): ?>
		#video{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_video_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_video_background') == 'image' ): ?>
		#video{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_video_background_image' ) ) ; ?>');
		}
	<?php endif ?>


	/*blog section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_sub_title_color' ) ) ): ?>
		#inner-content-wrapper .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_title_color' ) ) ): ?>
		#inner-content-wrapper .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_title_hover_color' ) ) ): ?>
		#inner-content-wrapper .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_title_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_category_color' ) ) ): ?>
		#inner-content-wrapper .post-categories a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_category_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_category_hover_color' ) ) ): ?>
		#inner-content-wrapper .post-categories a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_category_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_date_color' ) ) ): ?>
		#inner-content-wrapper .posted-on a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_date_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_section_post_date_hover_color' ) ) ): ?>
		#inner-content-wrapper .posted-on a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_section_post_date_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_blog_background') == 'color' ): ?>
		#inner-content-wrapper{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_blog_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_blog_background') == 'image' ): ?>
		#inner-content-wrapper{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_blog_background_image' ) ) ; ?>');
		}
	<?php endif ?>



	/*related section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_sub_title_color' ) ) ): ?>
		#related-posts .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_title_color' ) ) ): ?>
		#related-posts .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_post_container_color' ) ) ): ?>
		#related-posts .entry-container{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_post_container_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_post_title_color' ) ) ): ?>
		#related-posts .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_post_hover_color' ) ) ): ?>
		#related-posts .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_post_hover_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_color' ) ) ): ?>
		#related-posts .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_text_color' ) ) ): ?>
		#related-posts .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_border_color' ) ) ): ?>
		#related-posts .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_hover_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_text_hover_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_related_section_btn_border_hover_color' ) ) ): ?>
		#related-posts .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_hover_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_text_hover_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_btn_border_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_post_category_color' ) ) ): ?>
		#related-posts .post-categories a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_post_category_color' ) ) ; ?>;
		}
	<?php endif ?>
	
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_post_category_hover_color' ) ) ): ?>
		#related-posts .post-categories a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_post_category_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_date_color' ) ) ): ?>
		#related-posts .posted-on a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_date_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_section_date_hover_color' ) ) ): ?>
		#related-posts .posted-on a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_related_section_date_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_related_background_color' ) ) && get_theme_mod( 'smooth_related_pro_related_background') == 'color' ): ?>
		#related-posts{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_related_pro_related_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_related_pro_related_background_image' ) ) && get_theme_mod( 'smooth_related_pro_related_background') == 'image' ): ?>
		#related-posts{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_related_pro_blog_background_image' ) ) ; ?>');
		}
	<?php endif ?>




	/*menu section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_title_color' ) ) ): ?>
		#menu .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_sub_title_color' ) ) ): ?>
		#menu .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_post_container_color' ) ) ): ?>
		#menu ul > li.product{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_post_container_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_post_title_color' ) ) ): ?>
		#menu .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_price_color' ) ) ): ?>
		#menu span.woocommerce-Price-amount.amount{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_price_color' ) ) ; ?>;
		}
	<?php endif ?>
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_hover_post_title_color' ) ) ): ?>
		#menu .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_hover_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_post_content_color' ) ) ): ?>
		#menu .entry-content p{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_btn_color' ) ) ): ?>
		#menu .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_btn_text_color' ) ) ): ?>
		#menu .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_btn_border_color' ) ) ): ?>
		#menu .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_text_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_border_color' ) ) ): ?>
		#menu .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_text_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_section_hover_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_menu_background') == 'color' ): ?>
		#menu{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_menu_background') == 'image' ): ?>
		#menu{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_menu_background_image' ) ) ; ?>');
		}
	<?php endif ?>

	/*testinomial section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomial_section_title_color' ) ) ): ?>
		#testimonial .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomial_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomial_section_sub_title_color' ) ) ): ?>
		#testimonial .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomial_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomial_section_name_color' ) ) ): ?>
		#testimonial span{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomial_section_name_color' ) ) ; ?>;
		}
	<?php endif ?>




	/*reserve section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_title_color' ) ) ): ?>
		#reserve .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_sub_title_color' ) ) ): ?>
		#reserve .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_post_content_color' ) ) ): ?>
		#reserve .entry-content{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_color' ) ) ): ?>
		#reserve .btn{
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_text_color' ) ) ): ?>
		#reserve .btn{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_border_color' ) ) ): ?>
		#reserve .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_text_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_border_color' ) ) ): ?>
		#reserve .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_text_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_section_hover_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_reserve_background') == 'color' ): ?>
		#reserve{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_background_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_reserve_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_reserve_background') == 'image' ): ?>
		#reserve{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_reserve_background_image' ) ) ; ?>');
		}
	<?php endif ?>


	/*tetinomials*/
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_title_color' ) ) ): ?>
		#testimonials .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_container_color' ) ) ): ?>
		#testimonials .testimonial-item-wrapper{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_container_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_title_color' ) ) ): ?>
		#testimonials .entry-title a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_hover_color' ) ) ): ?>
		#testimonials .entry-title a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_post_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_position_color' ) ) ): ?>
		#testimonials .position {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_position_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_section_content_color' ) ) ): ?>
		#testimonials .entry-content p {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_section_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_background_image' ) ) && get_theme_mod( 'smooth_blog_pro_testinomials_background') == 'image' ): ?>
		#testimonials{
			background: url('<?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_background_image' ) ) ; ?>');
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_testinomials_background_color' ) ) && get_theme_mod( 'smooth_blog_pro_testinomials_background') == 'color' ): ?>
		#testimonials{
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_testinomials_background_color' ) ) ; ?>;
		}
	<?php endif ?>



	/*cta section*/

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_title_color' ) ) ): ?>
		#cta .section-title{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_title_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_sub_title_color' ) ) ): ?>
		#cta .section-subtitle{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_sub_title_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_post_content_color' ) ) ): ?>
		#cta .section-content{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_post_content_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_btn_color' ) ) ): ?>		
		#cta .read-more .btn {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_btn_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_btn_text_color' ) ) ): ?>		
		#cta .read-more .btn {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_btn_text_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_btn_border_color' ) ) ): ?>
		#cta .btn{
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_btn_border_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_section_hover_btn_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_cta_section_hover_btn_text_color' ) ) || !empty( get_theme_mod( 'smooth_blog_pro_cta_section_btn_border_hover_color' ) ) ): ?>
		#cta .btn:hover {
			background: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_hover_btn_color' ) ) ; ?>;
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_hover_btn_text_color' ) ) ; ?>;
			border-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_cta_section_btn_border_hover_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( get_theme_mod( 'smooth_blog_pro_topbar_social_menu' ) == true ): ?>
		ul#secondary-menu {
		    text-align: left;
		}
	<?php endif ?>



	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_topbar_menu_bg_color' ) ) ): ?>
		div#top-navigation,
		.second-design #top-navigation {
			background-color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_menu_bg_color' ) ) ; ?>
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_topbar_item_color' ) ) ): ?>
		#top-navigation .main-navigation ul.nav-menu > li > a {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_color' ) ) ; ?>
		}
		#top-navigation .main-navigation ul.nav-menu > li > a svg {
		    fill: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_color' ) ) ; ?>;
		}
		#top-navigation .social-icons li a svg {
		    fill: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_topbar_item_hover_color' ) ) ): ?>
		#top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_hover_color' ) ) ; ?>
		}
		#top-navigation .main-navigation ul.nav-menu > li > a:hover {
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_hover_color' ) ) ; ?>
		}
		#top-navigation .main-navigation ul.nav-menu > li > a svg:hover {
		    fill: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_hover_color' ) ) ; ?>;
		}
		#top-navigation .social-icons li a svg:hover {
		    fill: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_topbar_item_hover_color' ) ) ; ?>;
		}
	<?php endif ?>



	/*header styles*/

	.menu-sticky .nav-shrink nav#site-navigation {
	    background-color: <?php echo esc_attr(esc_attr(get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ))); ?>;
	}

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ) ) && get_theme_mod( 'smooth_blog_pro_header_style', 'header-1' ) == 'header-1' ): ?>
			#masthead {
				background: <?php echo esc_attr(esc_attr(get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ))); ?>;	
			}
			
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ) ) && get_theme_mod( 'smooth_blog_pro_header_style' ) == 'header-3' ): ?>
			#masthead {
				background: <?php echo esc_attr(esc_attr(get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ))); ?>;	
			}
			
	<?php endif ?>

	#masthead nav{
		border-bottom: <?php echo absint( get_theme_mod('smooth_blog_pro_header_nav_botton_border') ) ; ?>px solid <?php if (!empty( get_theme_mod('smooth_blog_pro_header_section_nav_bottom_border_color')))					: ?>
									<?php echo esc_attr( get_theme_mod('smooth_blog_pro_header_section_nav_bottom_border_color') ); ?>
									<?php else: ?>
										<?php echo "#000"; ?>
								<?php endif ?>;
		border-top: <?php echo absint( get_theme_mod('smooth_blog_pro_header_nav_top_border') ) ; ?>px solid <?php if (!empty( get_theme_mod('smooth_blog_pro_header_section_top_border_color')))					: ?>
									<?php echo esc_attr( get_theme_mod('smooth_blog_pro_header_section_top_border_color') ); ?>
									<?php else: ?>
										<?php echo "#000"; ?>
								<?php endif ?>;	
		<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ) ) && get_theme_mod( 'smooth_blog_pro_header_style' ) == 'header-2' ): ?>
				
					background: <?php echo esc_attr(esc_attr(get_theme_mod( 'smooth_blog_pro_header_section_menu_bg_color' ))); ?>;	
				
				
		<?php endif ?>	
	} 

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_color' ) ) ): ?>
		#site-navigation a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_hover_color' ) ) ): ?>
		#masthead .main-navigation ul.nav-menu li.current-menu-item > a{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_hover_color' ) ) ; ?>;
		}
	<?php endif ?>


	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_nav_font_size' ) ) ): ?>
		#site-navigation a{
			font-size: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_nav_font_size' ) ) ; ?>px;
		}
	<?php endif ?>
	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_nav_item_margin' ) ) ): ?>
		#site-navigation a{
			margin: 0px <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_nav_item_margin' ) ) ; ?>px;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_hover_color' ) ) ): ?>
		#masthead .main-navigation ul.nav-menu > li > a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'smooth_blog_pro_header_section_nav_item_hover_color' ) ) ; ?>;
		}
	<?php endif ?>

	<?php if ( !empty( get_theme_mod( 'smooth_blog_pro_make_trasparent_menu' ) ) && get_theme_mod( 'smooth_blog_pro_header_style' ) !== 'header-2' ): ?>
		@media screen and (min-width: 1025px) {
			#masthead {
				position: absolute;
				background: transparent;
				top: auto;
				padding: 20px 0px;
			}
		}
		#featured-slider article{
			padding: 310px 0;
		}
		
	<?php endif ?>

	<?php if ( get_theme_mod( 'smooth_blog_pro_header_style' ) == 'header-2' ): ?>
		.site-branding{
			width: <?php echo get_theme_mod( 'smooth_blog_pro_header_display', 'ads' ) == 'none' ? '100%' : '40%'; ?>;
			<?php echo get_theme_mod( 'smooth_blog_pro_header_display', 'ads' ) == 'none' ? "text-align:center" : ''; ?>;
			text-align: left;
		}


		.header-banner{
			padding: <?php echo absint( get_theme_mod( 'smooth_blog_pro_header_top_banner', 40 ) ) ; ?>px 0px;
			<?php if ( !empty( get_theme_mod('smooth_blog_pro_header_background_image') ) ): ?>
			background-image: url(<?php echo esc_url( get_theme_mod('smooth_blog_pro_header_background_image') ) ?>);
			<?php endif ?>
			<?php if ( !empty( get_theme_mod('smooth_blog_pro_header_background_color') ) ): ?>
			background: <?php echo esc_url( get_theme_mod('smooth_blog_pro_header_background_color') ) ?>;
			<?php endif ?>
			object-fit: cover;
			background-repeat: no-repeat;
  			background-size: cover;
		}
		.header-banner .wrapper {
		    display: flex;
		    position: relative;
		}
	    .header-banner ul {
	        padding: 0px;
	        margin: 0;
	        list-style: none;
	    }

		#masthead .header-banner .social-icons li a svg {
		    fill: #000;
		}
		#masthead {
			padding: 0px;
		}
		#masthead nav{
			padding: 10px 0px;
		}
		#masthead .header-banner .social-icons li a svg:hover {
		    fill: #fff;
		}
		#masthead .menu-toggle {
		    float: none;
		    width: 100%;
		    background-color: #000;
		}

		.site-advertisement{
			margin-left: 40px;
		}
		
	<?php endif ?>

	<?php if ( get_theme_mod( 'smooth_blog_pro_header_style' ) == 'header-3' ): ?>


		#masthead nav{
			margin: auto;
		}

	
		#masthead{
			padding: 10px 0px;
		}
	<?php endif ?>	

	<?php if ( !is_active_sidebar( 'blog-sidebar' ) ) { ?>
		.fourth-design.home .archive-blog-wrapper article:nth-child(2n+1) {
		    clear: none;
		}
		.fourth-design.home .archive-blog-wrapper article {
    		width: 33.33%;
    	}	
	<?php } ?>		
	.dark-version nav#site-navigation {
	    background: #111;
	}
	.menu-open #site-navigation a{
		color: #363636;
	}

	</style>

	<?php
}
add_action( 'wp_head', 'smooth_blog_pro_header_text_style' );