<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * client section
 */

$wp_customize->add_section(
	'smooth_blog_pro_client',
	array(
		'title' => esc_html__( 'client', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// client enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_client',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_client',
	array(
		'section'		=> 'smooth_blog_pro_client',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_client_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 5,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_client_num',
	array(
		'section'		=> 'smooth_blog_pro_client',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 1 | Max: 10', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 1, 'max' => 10 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_client_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Popular This Week', 'smooth-blog-pro' ),
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_client_title',
	array(
		'section'		=> 'smooth_blog_pro_client',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$client_num = get_theme_mod( 'smooth_blog_pro_client_num', 5 );
for ($i=1; $i <= $client_num ; $i++) { 
	// client post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_client_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_client_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_client',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_client_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// client page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_client_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_client_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_client',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_client_page'
		)
	);
}

// client category setting
$wp_customize->add_setting(
	'smooth_blog_pro_client_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_client_cat',
	array(
		'section'		=> 'smooth_blog_pro_client',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_client_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);