<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * cta section
 */
$wp_customize->add_section(
	'smooth_blog_pro_cta',
	array(
		'title' => esc_html__( 'CTA', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// cta enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_cta_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_setting',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// cta enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_cta',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'recent'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'recent' => esc_html__( 'Recent', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_cta_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 50,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_cta_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Call to Action', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_sub_title',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Sub Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_cta_sub_title', 
	array(
        'selector'            => '#cta .section_title',
		'render_callback'     => 'smooth_blog_pro_cta_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_cta_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Call To Action', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_cta_btn_title', 
	array(
        'selector'            => '#cta .section-btn_title',
		'render_callback'     => 'smooth_blog_pro_cta_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_cta_post_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_post_1',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_cta_post',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_choices(),
		'active_callback'	=> 'smooth_blog_pro_if_cta_post',
	)
);

// cta page setting
$wp_customize->add_setting(
	'smooth_blog_pro_cta_page_1',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_page_1',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'smooth_blog_pro_if_cta_page'
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_cta_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_cta_overlay',
	array(
		'section'		=> 'smooth_blog_pro_cta',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox'
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_post_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_post_content_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Post Content Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Btn Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Btn Text Color', 'smooth-blog-pro' ),
		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_hover_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_hover_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Btn Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_hover_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_hover_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'smooth-blog-pro' ),
		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Btn  Border Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_cta_section_btn_border_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_cta_section_btn_border_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_cta',
			'label'			=> esc_html__( 'Btn Border Hover Color', 'smooth-blog-pro' ),
		)
	)
);
