<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * instagram section
 */

$wp_customize->add_section(
	'smooth_blog_pro_instagram',
	array(
		'title' => esc_html__( 'Instagram', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// instagram enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_instagram_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_instagram_setting',
	array(
		'section'		=> 'smooth_blog_pro_instagram',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// instagram enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_instagram',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_instagram',
	array(
		'section'		=> 'smooth_blog_pro_instagram',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);


$instagram_num = get_theme_mod( 'smooth_blog_pro_instagram_num', 4 );
for ($i=1; $i <= $instagram_num ; $i++) { 
	// instagram post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_instagram_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_instagram_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_instagram',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_instagram_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// instagram page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_instagram_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_instagram_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_instagram',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_instagram_page'
		)
	);
}

// instagram category setting
$wp_customize->add_setting(
	'smooth_blog_pro_instagram_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_instagram_cat',
	array(
		'section'		=> 'smooth_blog_pro_instagram',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_instagram_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_instagram_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_instagram_overlay',
	array(
		'section'		=> 'smooth_blog_pro_instagram',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

