<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Posts masonary section
 */

$wp_customize->add_section(
	'smooth_blog_pro_masonary',
	array(
		'title' => esc_html__( 'Masonary', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

// masonary enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_masonary_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_setting',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// masonary enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_masonary',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_masonary_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 30,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_masonary_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Masonry Blog Posts', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_title',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__(  'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_masonary_title', 
	array(
        'selector'            => '#masonary .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_masonary_partial_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_masonary_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View All masonry Posts', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_masonary_btn_title', 
	array(
        'selector'            => '#masonary .read-more a',
		'render_callback'     => 'smooth_blog_pro_masonary_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_masonary_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_btn_url',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Btn Url:', 'smooth-blog-pro' ),
	)
);


// masonary category setting
$wp_customize->add_setting(
	'smooth_blog_pro_masonary_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_cat',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_masonary_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 

// overlay enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_masonary_overlay',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_overlay',
	array(
		'section'		=> 'smooth_blog_pro_masonary',
		'label'			=> esc_html__( 'Enable Overlay', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_hover_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_hover_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_content_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_content_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Content Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_category_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_category_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Category Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_category_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_category_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Category Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_date_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_date_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Date Hover Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_post_date_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_post_date_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Post Date Color', 'smooth-blog-pro' ),

		)
	)
);



$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Btn Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Btn Text Color', 'smooth-blog-pro' ),

		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_hover_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_hover_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Btn Hover Color', 'smooth-blog-pro' ),

		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_section_hover_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);


$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_section_hover_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Section Btn Text Hover Color', 'smooth-blog-pro' ),

		)
	)
);


// masonary enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_masonary_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_masonary_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_masonary',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_masonary_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_masonary_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_masonary',
	'active_callback'	=> 'smooth_blog_pro_if_masonary_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_masonary_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_masonary_background_color',
		array(
			'section'		=> 'smooth_blog_pro_masonary',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_masonary_background_color',
		)
	)
);