<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * menu section
 */

$wp_customize->add_section(
	'smooth_blog_pro_menu',
	array(
		'title' => esc_html__( 'menu', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_home_panel',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_menu_setting',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'setting'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_setting',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'type'			=> 'radio',
		'choices'		=> array( 
				'setting' => esc_html__( 'Setting', 'smooth-blog-pro' ),
				'style' => esc_html__( 'Style', 'smooth-blog-pro' ),
		 	)
	)
);

// blog enable settings
$wp_customize->add_setting(
	'smooth_blog_pro_menu',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
				'post' => esc_html__( 'Post', 'smooth-blog-pro' ),
				'page' => esc_html__( 'Page', 'smooth-blog-pro' ),
				'cat' => esc_html__( 'Category', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_menu_exerpt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 5,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_exerpt',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Exerpt Length', 'smooth-blog-pro' ),
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_menu_num',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 4,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_num',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Number of Posts:', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'Min: 3 | Max: 9', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 4, 'max' => 12 ),
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_menu_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'We are here to serve.', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_title',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_menu_title', 
	array(
        'selector'            => '#menu .section-title',
		'render_callback'     => 'smooth_blog_pro_menu_partial_title',
	) 
);


$wp_customize->add_setting(
	'smooth_blog_pro_menu_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Our Story', 'smooth-blog-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_sub_title',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Sub Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_menu_sub_title', 
	array(
        'selector'            => '#menu .section-subtitle',
		'render_callback'     => 'smooth_blog_pro_menu_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_menu_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Explore More', 'smooth-blog-pro'	),
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_btn_title',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Btn Title:', 'smooth-blog-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'smooth_blog_pro_menu_btn_title', 
	array(
        'selector'            => '#menu .read-more a',
		'render_callback'     => 'smooth_blog_pro_menu_partial_btn_title',
	) 
);

$wp_customize->add_setting(
	'smooth_blog_pro_menu_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_btn_url',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Btn Url:', 'smooth-blog-pro' ),
	)
);


$blog_num = get_theme_mod( 'smooth_blog_pro_menu_num', 3 );
for ($i=1; $i <= $blog_num ; $i++) { 
	// blog post setting
	$wp_customize->add_setting(
		'smooth_blog_pro_menu_post_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_menu_post_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Post ', 'smooth-blog-pro' ).$i,
			'active_callback' => 'smooth_blog_pro_if_menu_post',
			'type'			=> 'select',
			'choices'		=> smooth_blog_pro_get_post_choices(),
		)
	);

	// blog page setting
	$wp_customize->add_setting(
		'smooth_blog_pro_menu_page_'.$i,
		array(
			'sanitize_callback' => 'smooth_blog_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'smooth_blog_pro_menu_page_'.$i,
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Page ', 'smooth-blog-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'smooth_blog_pro_if_menu_page'
		)
	);

	$wp_customize->add_setting(
	'smooth_blog_pro_menu_price_'.$i,
	array(
		'sanitize_callback' => 'absint',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_price_'.$i,
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Price ', 'smooth-blog-pro' ).$i,
	)
);

}

// blog category setting
$wp_customize->add_setting(
	'smooth_blog_pro_menu_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_cat',
	array(
		'section'		=> 'smooth_blog_pro_menu',
		'label'			=> esc_html__( 'Category:', 'smooth-blog-pro' ),
		'active_callback' => 'smooth_blog_pro_if_menu_cat',
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_get_post_cat_choices(),
	)
);

// Style 



$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_sub_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_sub_title_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Section Sub Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_title_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Section Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_post_container_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_post_container_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Section Post Container BG Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_post_title_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_post_title_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Section Post Title Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_post_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_post_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Section Post Title Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_price_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_price_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Price Color', 'smooth-blog-pro' ),
		)
	)
);


$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_border_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_border_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn  Border Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_border_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_border_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn Border Hover Color', 'smooth-blog-pro' ),
		)
	)
);
$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_text_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_text_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn Text Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_btn_text_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_btn_text_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Btn Text Hover Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_post_category_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_post_category_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Post Category Color', 'smooth-blog-pro' ),
		)
	)
);

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_section_post_category_hover_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_section_post_category_hover_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Post Category Hover Color', 'smooth-blog-pro' ),
		)
	)
);



// menu enable background settings
$wp_customize->add_setting(
	'smooth_blog_pro_menu_background',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_menu_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'smooth-blog-pro' ),
		'section'		=> 'smooth_blog_pro_menu',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'smooth-blog-pro' ),
				'color' => esc_html__( 'Background Color', 'smooth-blog-pro' ),
		 	)
	)
);

$wp_customize->add_setting( 'smooth_blog_pro_menu_background_image', array(
	'sanitize_callback' => 'smooth_blog_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'smooth_blog_pro_menu_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'smooth-blog-pro' ),
	'section'     		=> 'smooth_blog_pro_menu',
	'active_callback'	=> 'smooth_blog_pro_if_menu_background_image',
) ) );

$wp_customize->add_setting(	
	'smooth_blog_pro_menu_background_color',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'smooth_blog_pro_menu_background_color',
		array(
			'section'		=> 'smooth_blog_pro_menu',
			'label'			=> esc_html__( 'Select BG Color:', 'smooth-blog-pro' ),
			'active_callback' => 'smooth_blog_pro_if_menu_background_color',
		)
	)
);