<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * advance setting
 */

$wp_customize->add_panel(
	'smooth_blog_pro_general_panel',
	array(
		'title' => esc_html__( 'Theme Options', 'smooth-blog-pro' ),
		'priority' => 107
	)
);

/**
 * Font section
 */
// Font section
$wp_customize->add_section(
	'smooth_blog_pro_font',
	array(
		'title' => esc_html__( 'Font options', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Font enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_h1_h6_font_option',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => '',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_h1_h6_font_option',
	array(
		'section'		=> 'smooth_blog_pro_font',
		'label'			=> sprintf( esc_html__( 'H1 to H6 font family:', 'smooth-blog-pro' ) ),
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_font_choices(),
	)
);

// Body font setting
$wp_customize->add_setting(
	'smooth_blog_pro_body_font_option',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => '',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_body_font_option',
	array(
		'section'		=> 'smooth_blog_pro_font',
		'label'			=> esc_html__( 'Body font family:', 'smooth-blog-pro' ),
		'type'			=> 'select',
		'choices'		=> smooth_blog_pro_font_choices(),
	)
);



require get_parent_theme_file_path( '/inc/customizer/header.php' );

/**
 * General settings
 */
// General settings
$wp_customize->add_section(
	'smooth_blog_pro_general_section',
	array(
		'title' => esc_html__( 'General', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Breadcrumb enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_breadcrumb_enable',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_breadcrumb_enable',
	array(
		'section'		=> 'smooth_blog_pro_general_section',
		'label'			=> esc_html__( 'Enable breadcrumb.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Backtop enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_back_to_top_enable',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_back_to_top_enable',
	array(
		'section'		=> 'smooth_blog_pro_general_section',
		'label'			=> esc_html__( 'Enable Scroll up.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Global Layout
 */
// Global Layout
$wp_customize->add_section(
	'smooth_blog_pro_global_layout',
	array(
		'title' => esc_html__( 'Global Layout', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Global site layout setting
$wp_customize->add_setting(
	'smooth_blog_pro_site_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'wide',
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_site_layout',
	array(
		'section'		=> 'smooth_blog_pro_global_layout',
		'label'			=> esc_html__( 'Site layout', 'smooth-blog-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'boxed' => esc_html__( 'Boxed', 'smooth-blog-pro' ), 
			'wide' => esc_html__( 'Wide', 'smooth-blog-pro' ), 
			'frame' => esc_html__( 'Frame', 'smooth-blog-pro' ), 
		),
	)
);

// Global archive layout setting
$wp_customize->add_setting(
	'smooth_blog_pro_archive_sidebar',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_archive_sidebar',
	array(
		'section'		=> 'smooth_blog_pro_global_layout',
		'label'			=> esc_html__( 'Archive Sidebar', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'smooth-blog-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'smooth-blog-pro' ), 
			'right' => esc_html__( 'Right', 'smooth-blog-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'smooth-blog-pro' ), 
		),
	)
);

// Global page layout setting
$wp_customize->add_setting(
	'smooth_blog_pro_global_page_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_global_page_layout',
	array(
		'section'		=> 'smooth_blog_pro_global_layout',
		'label'			=> esc_html__( 'Global page sidebar', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'smooth-blog-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'smooth-blog-pro' ), 
			'right' => esc_html__( 'Right', 'smooth-blog-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'smooth-blog-pro' ), 
		),
	)
);

// Global post layout setting
$wp_customize->add_setting(
	'smooth_blog_pro_global_post_layout',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_global_post_layout',
	array(
		'section'		=> 'smooth_blog_pro_global_layout',
		'label'			=> esc_html__( 'Global post sidebar', 'smooth-blog-pro' ),
		'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'smooth-blog-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'smooth-blog-pro' ), 
			'right' => esc_html__( 'Right', 'smooth-blog-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'smooth-blog-pro' ), 
		),
	)
);

/**
 * Blog/Archive section 
 */
// Blog/Archive section 
$wp_customize->add_section(
	'smooth_blog_pro_archive_settings',
	array(
		'title' => esc_html__( 'Archive/Blog', 'smooth-blog-pro' ),
		'description' => esc_html__( 'Settings for archive pages including blog page too.', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Archive excerpt length setting
$wp_customize->add_setting(
	'smooth_blog_pro_archive_excerpt_length',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_number_range',
		'default' => 20,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_archive_excerpt_length',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Excerpt more length:', 'smooth-blog-pro' ),
		'type'			=> 'number',
		'input_attrs'   => array( 'min' => 5 ),
	)
);

// Date enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_archive_date',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_archive_date',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Enable date.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Category enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_archive_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_archive_cat',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Enable category.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// blog image enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_archive_featured_img',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_archive_featured_img',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Content type setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_archive_content_type',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'excerpt',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_archive_content_type',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Content type:', 'smooth-blog-pro' ),
		'choices'		=> array(
			'full-content' => esc_html__( 'Full content', 'smooth-blog-pro' ), 
			'excerpt' => esc_html__( 'Excerpt', 'smooth-blog-pro' ), 
		),
		'type'			=> 'radio',
	)
);

// Pagination type setting
$wp_customize->add_setting(
	'smooth_blog_pro_archive_pagination_type',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_select',
		'default' => 'numeric',
	)
);

$archive_pagination_description = '';
$archive_pagination_choices = array( 
			'disable' => esc_html__( '--Disable--', 'smooth-blog-pro' ),
			'numeric' => esc_html__( 'Numeric', 'smooth-blog-pro' ),
			'older_newer' => esc_html__( 'Older / Newer', 'smooth-blog-pro' ),
		);
if ( ! class_exists( 'JetPack' ) ) {
	$archive_pagination_description = sprintf( esc_html__( 'We recommend to install %1$sJetpack%2$s and enable %3$sInfinite Scroll%4$s feature for automatic loading of posts.', 'smooth-blog-pro' ), '<a target="_blank" href="http://wordpress.org/plugins/jetpack">', '</a>', '<b>', '</b>' );
} else {
	$archive_pagination_choices['infinite_scroll'] = esc_html__( 'Infinite Load', 'smooth-blog-pro' );
}
$wp_customize->add_control(
	'smooth_blog_pro_archive_pagination_type',
	array(
		'section'		=> 'smooth_blog_pro_archive_settings',
		'label'			=> esc_html__( 'Pagination type:', 'smooth-blog-pro' ),
		'description'			=>  $archive_pagination_description,
		'type'			=> 'select',
		'choices'		=> $archive_pagination_choices,
	)
);

/**
 * Single setting section 
 */
// Single setting section 
$wp_customize->add_section(
	'smooth_blog_pro_single_settings',
	array(
		'title' => esc_html__( 'Single Posts', 'smooth-blog-pro' ),
		'description' => esc_html__( 'Settings for all single posts.', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Date enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_date',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_date',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable date.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Category enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_cat',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_cat',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable category.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Tag enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_tag',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_tag',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable tags.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Comment enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_comment',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_comment',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable comment.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


// Author enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_author',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_author',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable author.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);



// Featured image enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_featured_img',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_featured_img',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Pagination enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_pagination',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_pagination',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable pagination.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);


$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_enable_related_post',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_enable_related_post',
	array(
		'section'		=> 'smooth_blog_pro_single_settings',
		'label'			=> esc_html__( 'Enable Related Post.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Single pages setting section 
 */
// Single pages setting section 
$wp_customize->add_section(
	'smooth_blog_pro_single_page_settings',
	array(
		'title' => esc_html__( 'Single Pages', 'smooth-blog-pro' ),
		'description' => esc_html__( 'Settings for all single pages.', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Featured image enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_single_page_featured_img',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_single_page_featured_img',
	array(
		'section'		=> 'smooth_blog_pro_single_page_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Reset all settings
 */
// Reset settings section
$wp_customize->add_section(
	'smooth_blog_pro_reset_sections',
	array(
		'title' => esc_html__( 'Reset all', 'smooth-blog-pro' ),
		'description' => esc_html__( 'Reset all settings to default.', 'smooth-blog-pro' ),
		'panel' => 'smooth_blog_pro_general_panel',
	)
);

// Reset sortable order setting
$wp_customize->add_setting(
	'smooth_blog_pro_reset_settings',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => false,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_reset_settings',
	array(
		'section'		=> 'smooth_blog_pro_reset_sections',
		'label'			=> esc_html__( 'Reset all settings?', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 *
 *
 * Footer copyright
 *
 *
 */
// Footer copyright
$wp_customize->add_section(
	'smooth_blog_pro_footer_section',
	array(
		'title' => esc_html__( 'Footer', 'smooth-blog-pro' ),
		'priority' => 106,
		'panel' => 'smooth_blog_pro_general_panel',
	)
);


// Footer text enable setting
$wp_customize->add_setting(
	'smooth_blog_pro_enable_footer_text',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_enable_footer_text',
	array(
		'section'		=> 'smooth_blog_pro_footer_section',
		'label'			=> esc_html__( 'Enable footer text.', 'smooth-blog-pro' ),
		'type'			=> 'checkbox',
	)
);

// Footer copyright setting
$wp_customize->add_setting(
	'smooth_blog_pro_copyright_txt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_html',
		'default' => $default['smooth_blog_pro_copyright_txt'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'smooth_blog_pro_copyright_txt',
	array(
		'section'		=> 'smooth_blog_pro_footer_section',
		'label'			=> esc_html__( 'Copyright text:', 'smooth-blog-pro' ),
		'type'			=> 'textarea',
		'active_callback' => 'smooth_blog_pro_if_footer_text_enable',
	)
);

$wp_customize->add_setting(
	'smooth_blog_pro_power_by_txt',
	array(
		'sanitize_callback' => 'smooth_blog_pro_sanitize_html',
		'default' => $default['smooth_blog_pro_power_by_txt'],
		'transport'	=> 'postMessage',
	)	
);

$wp_customize->add_control(
	'smooth_blog_pro_power_by_txt',
	array(
		'section'		=> 'smooth_blog_pro_footer_section',
		'label'			=> esc_html__( 'Power by text:', 'smooth-blog-pro' ),
		'type'			=> 'textarea',
		'active_callback' => 'smooth_blog_pro_if_footer_text_enable',
	)
);
