<?php
/**
 * Moral OCDI plugin compatible functions
 *
 * @package Moral
 */

function smooth_blog_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Moral Theme Demo Import' , 'smooth-blog-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'smooth_blog_pro_ctdi_plugin_page_setup' );


function smooth_blog_pro_ctdi_import_files() {
    return array(

        array(
            'import_file_name'             => esc_html__( 'Free', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/free/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/free/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/free/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/free/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/pro/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog-pro',
        ),
         array(
            'import_file_name'             => esc_html__( 'Dark', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/dark/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/dark/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/dark/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/dark/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog-dark',
        ),
         array(
            'import_file_name'             => esc_html__( 'Bakery', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/bakery/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/bakery/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/bakery/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/bakery/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog-bakery',
        ),
         array(
            'import_file_name'             => esc_html__( 'Magazine', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/magazine/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/magazine/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/magazine/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/magazine/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog-magazine',
        ),
         array(
            'import_file_name'             => esc_html__( 'Portfolio', 'smooth-blog-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/inc/demo/portfolio/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/inc/demo/portfolio/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/inc/demo/portfolio/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/inc/demo/portfolio/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'smooth-blog-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/smooth-blog-portfolio',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'smooth_blog_pro_ctdi_import_files' );



function smooth_blog_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $secondary = get_term_by('name', 'Secondary', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $secondary->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'smooth_blog_pro_ctdi_after_import_setup' );
