<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$client       = get_theme_mod( 'smooth_blog_pro_client', 'cat' );
$client_num   = get_theme_mod( 'smooth_blog_pro_client_num', 5 ) ;

// Bail if the section is disabled.
if ( 'disable' === $client ) {
    return;
}

$content_details = smooth_blog_pro_get_section_content( 'client', $client, $client_num );

?>
<div id="client" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_client_title', __( 'My Clients', 'smooth-blog-pro' ) ) ) ; ?></h2>
        </div><!-- .section-header -->

        <div class="client-slider" data-slick='{"slidesToShow": 5, "slidesToScroll": 1, "infinite": false, "speed": 1500, "dots": false, "arrows":false, "autoplay": false, "draggable": true, "fade": false }'>
            <?php foreach ($content_details as $content): ?>
                <article>
                    <a href="<?php echo esc_url( $content['url'] ) ; ?>"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'medium' ) ); ?>" alt=""></a>
                </article>
            <?php endforeach ?>
            
        </div><!-- .client-slider -->
    </div><!-- .wrapper -->
</div><!-- #client -->