<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$cta = get_theme_mod( 'smooth_blog_pro_cta', 'recent' );


// Bail if the section is disabled.
if ( 'disable' === $cta ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'cta', $cta, 1 );

?>
<?php foreach ($content_detail as $content): ?>
    <div id="cta" class="page-section" style="background:url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'large' ) ) ?>'); background-size: cover; background-position: center; background-repeat: no-repeat;">
        <?php if ( get_theme_mod( 'smooth_blog_pro_cta_overlay' ) == true ): ?>
            <div class="overlay"></div>
        <?php endif ?>  
        <div class="wrapper">
            <div class="cta-wrapper">
            <div class="section-header">
                <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_cta_sub_title' ) ); ?></p>
                <h2 class="section-title"><?php echo esc_html( $content['title'] ); ?></h2>
            </div>
            <div class="section-content">
                <p>
                    <?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'smooth_blog_pro_cta_exerpt', 50) )  ) ; ?>
                </p>

                <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_cta_btn_title' ) ) ): ?>
                    <div class="read-more">
                        <a href="<?php echo esc_url( $content['url'] ) ?>" class="btn">
                            <?php echo esc_html( get_theme_mod( 'smooth_blog_pro_cta_btn_title' ) ); ?>
                        </a>
                    </div>
                <?php endif ?>   
            </div>
            </div>
        </div>
    </div>
<?php endforeach ?>
