<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$masonary = get_theme_mod( 'smooth_blog_pro_masonary', 'cat' );

// Bail if the section is disabled.
if ( 'disable' === $masonary ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'masonary', $masonary, 8 );


?>
<div id="masonary" class="masonary" >
    <?php if ( get_theme_mod( 'smooth_blog_pro_masonary_overlay' ) == true ): ?>
        <div class="overlay"></div>
    <?php endif ?>
    <div class="wrapper">
        <div class="section-header">
            <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_masonary_title', __('Masonry Blog Posts', 'smooth-blog-pro') ) ) ?></p>
        </div><!-- .section-header -->

        <div class="section-content grid">
            <?php foreach ( $content_detail as $content ): ?>
                <article class="grid-item">
                    <div class="featured-image">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                            <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>" alt="<?php echo esc_attr($content['title']); ?>">
                        </a>
                    </div><!-- .featured-image -->

                    <?php if ( get_theme_mod('smooth_blog_pro_homepage_layout') == 'third-design' ): ?>
                        <div class="entry-container">
                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                        <?php echo esc_html( $content['title'] ) ; ?>
                                    </a>
                                </h2>
                            </header>
                        </div>
                    <?php endif ?>
                    
                    <?php if ( get_theme_mod('smooth_blog_pro_homepage_layout', 'first-design') !== 'third-design' ): ?>
                        <div class="entry-container">
                            <span class="cat-links">
                                <?php the_category( '', '', $content['id'] ); ?>
                            </span><!-- .cat-links -->

                            <header class="entry-header">
                                <h2 class="entry-title">
                                    <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                        <?php echo esc_html( $content['title'] ) ; ?>
                                    </a>
                                </h2>
                            </header>

                            <div class="entry-content">
                                <p>
                                   <?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'smooth_blog_pro_masonary_exerpt', 30 ) )  ) ; ?>
                                </p>
                            </div>

                            <div class="entry-meta">
                               <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>
                            </div><!-- .entry-meta -->
                        </div>
                    <?php endif; ?>
                   
                </article>
            <?php endforeach ?>           
        </div><!-- .grid -->

         <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_masonary_btn_url' ) ) ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( get_theme_mod( 'smooth_blog_pro_masonary_btn_url' ) ); ?>" class="btn">
                    <?php echo esc_html( get_theme_mod( 'smooth_blog_pro_masonary_btn_title', __( 'View all Masonary', 'smooth-blog-pro' ) ) ); ?>
                </a>
            </div>
        <?php endif ?>        
    </div><!-- .wrapper -->
</div><!-- #masanory -->