<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$menu = get_theme_mod( 'smooth_blog_pro_menu', 'cat' );
$menu_count = get_theme_mod( 'smooth_blog_pro_menu_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $menu ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'menu', $menu, $menu_count );

?>
<div id="menu" class="page-section">
    <div class="wrapper">
        <div class="section-header">
            <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_menu_sub_title' ) ); ?></p>
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_menu_title' ) ); ?></h2>
        </div><!-- .section-header -->
        <div class="section-content">
            <ul class="clear">
                
                <?php $i = 1; foreach ($content_detail as $content): ?>
                    <li class="product">
                            <div class="featured-product-image">
                            <a href="<?php echo esc_url( $content['url'] ) ?>" >
                              <img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'blogster-home-blog' ) ) ; ?>" alt="Product">   
                            </a>
                          </div><!-- .featured-product-image -->

                        <div class="product-description">
                            <?php the_category( ' ', '', $content['id'] ) ?>
                            
                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ) ?>"><?php echo esc_html( $content['title'] ) ?></a></h2>
                            </header>

                            <div class="entry-content">
                                <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'smooth_blog_pro_menu_exerpt', 5 ) )  ) ; ?></p>
                                <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_price_'.$i ) ) ): ?>
                                    <span class="price">
                                        <ins>
                                            <span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">$</span><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_menu_price_'.$i ) ) ?></span>
                                        </ins>
                                    </span><!-- .price -->
                                <?php endif ?>
                                
                            </div>
                        </div><!-- .product-description -->
                    </li>
                <?php $i++; endforeach ?>
                    

            </ul>

            <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_menu_btn_url' ) ) ): ?>
                <div class="read-more">
                    <a href="<?php echo esc_url( get_theme_mod( 'smooth_blog_pro_menu_btn_url' ) ) ?>" class="btn"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_menu_btn_title' ) ) ?></a>
                </div>
            <?php endif ?>
           
        </div>
    </div>
</div>
