<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$most = get_theme_mod( 'smooth_blog_pro_most', 'cat' );
$most_count = get_theme_mod( 'smooth_blog_pro_most_num', 4 );

// Bail if the section is disabled.
if ( 'disable' === $most ) {
    return;
}

$content_detail = smooth_blog_pro_get_section_content( 'most', $most, $most_count );

?>
<section id="most-viewed-posts" class="relative">
    <div class="wrapper">
        <?php if ( !empty( get_theme_mod( 'smooth_blog_pro_most_title' ) ) ): ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'smooth_blog_pro_most_title', esc_html__( 'MOST VIEWED POSTS', 'smooth-blog-pro' ) ) ) ; ?></h2>
            </div><!-- .section-header -->
        <?php endif ?>
        
        <div class="section-content clear">
            <?php foreach ($content_detail as $content): ?>
                 <article class="has-post-thumbnail">
                    <div class="most-post-item">
                        <div class="featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'] ) ) ; ?>');">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="post-thumbnail-link"></a>
                        </div><!-- .featured-image -->

                        <div class="entry-container">
                        <div class="entry-meta">
                            <span class="cat-links">
                                <?php
                                    $i = 0;  
                                    $category = get_the_category( $content['id'] );
                                    foreach ( $category as $cat ) {
                                ?> 
                                   <a href="<?php echo esc_url( get_category_link( $cat->term_id ) ) ; ?>" rel="category tag"><?php echo $cat->name ; ?></a>
                                <?php $i++; } ?>
                            </span>                        
                        </div><!-- .entry-meta -->

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <div class="entry-meta author-posted-on">
                            <?php smooth_blog_pro_post_author(); ?>

                            <?php smooth_blog_pro_posted_on( $content['id'] ) ; ?>                          
                        </div><!-- .entry-meta -->

                    </div><!-- .entry-container -->
                    </div><!-- .most-post-item -->
                </article>
            <?php endforeach ?>     
        </div><!-- .section-content -->
    </div><!-- .wrapper -->
</section>